
User Interface - Bug #2726

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

frame title color is wrong

09/21/2015 02:43 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/21/2015 02:45 PM - Greg Shah

Any GUI testcase with a titled frame should exhibit this.  For some screen captures that show the difference, see task 2715 note 7

#2 - 10/07/2015 01:47 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

Please put your changes into task branch 1811r.

#3 - 10/07/2015 01:48 PM - Greg Shah

Hynek did make some changes related to this in 1811r already, but they don't always resolve the issue.

#4 - 10/07/2015 01:59 PM - Hynek Cihlar

- File window_frame_title_colors.png added

Eugenie, frame title shares the colors with main window. So whatever you set in the Windows theme settings will end up in the frame as well. See the

screenshot. It should be enough to make sure both titles share the same system colors.

#5 - 10/08/2015 05:24 PM - Eugenie Lyzenko

- File frame_title_text_color_20151009.jpg added

Looks like now the frame title color is fixed(without any my changes). See the screen attached. May be we can close this issue?

#6 - 10/09/2015 08:00 AM - Greg Shah

- File demo_widgets_frame_title_color_20151009.png added

No, it is only fixed for some cases as I mentioned in note 3.

Try demo/demo_widgets.p:
#7 - 10/09/2015 11:30 AM - Greg Shah

- File demo_widgets.p_at_initial_startup_in_p2j_swing_20151009.png added

- File demo_widgets.p_at_initial_startup_in_progress_20151009.png added
Consider these images:

 

 

These both show demo/demo_widgets.p at initial startup.  In Progress the unfocused 2nd frame is drawn in the "inactive" background color but with

white text.
#8 - 10/09/2015 11:35 AM - Greg Shah

- File demo_widgets.p_after_click_on_2nd_frame_in_progress_20151009.png added

- File demo_widgets.p_after_click_on_2nd_frame_in_p2j_swing_20151009.png added

Now consider what happens when we single click on the 2nd frame:
The 2nd frame becomes focused in both cases and our drawing matches.

One problem is that the chcb combo-box still draws as if it is focused in the P2J case.  We will work that in a separate task.
#9 - 10/09/2015 11:36 AM - Greg Shah

The core issue here is to draw the frame background and frame title color properly when a frame is not focused.

#10 - 10/09/2015 01:24 PM - Eugenie Lyzenko

- File demo_widgets.p_at_initial_startup_p2j_fixed_20151009.jpg added

The solution will be committed soon. The screenshot is attached. To be included in 1811r.

#11 - 10/09/2015 02:30 PM - Greg Shah

- Status changed from New to Closed

#12 - 11/10/2015 05:01 AM - Greg Shah

- % Done changed from 0 to 100

#13 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
